> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.apologist.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.apologist.ai/_mcp/server.

# Discord Channel Status

GET https://your-agent-domain.com/api/v1/channels/{id}/discord

Returns the status of the Discord channel. Used as a lightweight health/verification endpoint.

Reference: https://docs.apologist.ai/agent-api/api-reference/channels/get-discord-channel-status

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: agent-api
  version: 1.0.0
paths:
  /channels/{id}/discord:
    get:
      operationId: getDiscordChannelStatus
      summary: Discord Channel Status
      description: >-
        Returns the status of the Discord channel. Used as a lightweight
        health/verification endpoint.
      tags:
        - channels
      parameters:
        - name: id
          in: path
          description: The channel id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Channel status
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Channels_getDiscordChannelStatus_Response_200
        '404':
          description: Channel not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://your-agent-domain.com/api/v1
    description: Production server
components:
  schemas:
    Channels_getDiscordChannelStatus_Response_200:
      type: object
      properties:
        status:
          type: string
        channel:
          type: string
        active:
          type: boolean
      title: Channels_getDiscordChannelStatus_Response_200

```

## Examples



**Response**

```json
{
  "status": "string",
  "channel": "string",
  "active": true
}
```

**SDK Code**

```typescript
import { ApologistAgentClient } from "apologist";

async function main() {
    const client = new ApologistAgentClient();
    await client.channels.getDiscordChannelStatus("id");
}
main();

```

```python
from apologist import ApologistAgent

client = ApologistAgent()

client.channels.get_discord_channel_status(
    id="id",
)

```

```java
package com.example.usage;

import ai.apologist.AgentClient;
import ai.apologist.resources.channels.requests.GetDiscordChannelStatusRequest;

public class Example {
    public static void main(String[] args) {
        AgentClient client = AgentClient
            .builder()
            .build();

        client.channels().getDiscordChannelStatus(
            "id",
            GetDiscordChannelStatusRequest
                .builder()
                .build()
        );
    }
}
```

```ruby
require "apologist"

client = Apologist::AgentClient.new

client.channels.get_discord_channel_status(id: "id")

```

```csharp
using Apologist;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new AgentClient();

        await client.Channels.GetDiscordChannelStatusAsync(
            new GetDiscordChannelStatusRequest {
                Id = "id"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    apgsdkgo "github.com/apologist-project/apg-sdk-go"
    client "github.com/apologist-project/apg-sdk-go/client"
)

func do() {
    client := client.NewApologistAgentClient()
    request := &apgsdkgo.GetDiscordChannelStatusRequest{
        ID: "id",
    }
    client.Channels.GetDiscordChannelStatus(
        context.TODO(),
        request,
    )
}

```

```php
<?php

namespace Example;

use Apologist\AgentClient;

$client = new AgentClient();
$client->channels->getDiscordChannelStatus(
    'id',
);

```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://your-agent-domain.com/api/v1/channels/id/discord")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```